function wtb=wtran_bestP(wvtran,list)
[vw, hw]=size(wvtran);
[N ,t]=size(wvtran{1});
wtb=cell(vw-1, hw);
wtb{1}=zeros(N ,t);
for kk=1:vw-1;
    M=N/2^(kk);
  m=1:M;
 wt=zeros(N ,t); 
 wvt=wvtran{kk+1};
 lif=find(list(:,1)==(kk));
 lf=length(lif)
 if lf>0
     for ll=1:lf
         mm=lif(ll);
         
         v=list(mm,2);h=list(mm,3);
 wt(M*(v)+m, M*(h)+m)=  wvt(M*(v)+m, M*(h)+m);
 
     end
 end
  wtb{kk}=(wt~=0);
 end